## ros-kinetic-xpp-vis 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xpp_vis)

add_compile_options(-std=c++11)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf
  kdl_parser
  robot_state_publisher
  visualization_msgs
  xpp_states
  xpp_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
   CATKIN_DEPENDS xpp_states xpp_msgs
)


###########
## Build ##
###########
## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(${PROJECT_NAME}
  src/urdf_visualizer.cc
  src/cartesian_joint_converter.cc
  src/rviz_robot_builder.cc
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)


# some executable nodes
add_executable(rviz_marker_node src/exe/rviz_marker_node.cc)
target_link_libraries(rviz_marker_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)


#############
## Install ##
#############
# Mark library for installation
install(
  TARGETS ${PROJECT_NAME} rviz_marker_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
  DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)


#############
## Testing ##
#############
if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}_test
    test/gtest_main.cc 
    test/rviz_robot_builder_test.cc
  )
  target_link_libraries(${PROJECT_NAME}_test
    ${PROJECT_NAME} 
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-kinetic-xpp-vis (1.0.10-0xenial) xenial; urgency=high

  * checking sum of the contact forces was hiding negative forces. Use norm instead (#10 <https://github.com/leggedrobotics/xpp/issues/10>)
  * Improve docs (#8 <https://github.com/leggedrobotics/xpp/issues/8>)
  * Contributors: Alexander Winkler, Ruben Grandia

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.9-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.8-0xenial) xenial; urgency=high

  * update catkin syntax for unit tests
  * Fix unit test through visualizer improvement.
  * fix wrongly displaying old markers when switching robots.
  * make printouts in DEVEL only
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 06 Jul 2018 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.7-0xenial) xenial; urgency=high

  * modified default rviz launch scripts
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 02 Jul 2018 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.6-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 17 Apr 2018 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.5-0xenial) xenial; urgency=high

  * update launch scripts
  * cleaned-up some cmake files
  * modernize CMake files
  * move terrain types to towr_ros
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 31 Jan 2018 23:00:00 -0000

ros-kinetic-xpp-vis (1.0.4-0xenial) xenial; urgency=high

  * Merge pull request #3 from leggedrobotics/devel
    Fix xacro bug and remove terrain and optimization specific classes.
  * removed optimization related topic names
  * rename OptParameters.msg to more concise RobotParameters.msg
  * removed UserCommand msg and terrain_builder class
  * use =default for empty c'tor/d'tor.
  * [smell] removed quiet return function that gives no warning.
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 02 Jan 2018 23:00:00 -0000

ros-kinetic-xpp-vis (1.0.3-0xenial) xenial; urgency=high

  * changed rviz default config name
  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Merge pull request #1 from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 02 Nov 2017 23:00:00 -0000

ros-kinetic-xpp-vis (1.0.2-0xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/leggedrobotics/xpp/issues/1> from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 27 Oct 2017 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.1-0xenial) xenial; urgency=high

  * xpp_vis: add visualization_msg dependency
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 26 Oct 2017 22:00:00 -0000

ros-kinetic-xpp-vis (1.0.0-0xenial) xenial; urgency=high

  * removed robot specific bag files from xpp_msgs
  * added separate xpp_example package and Readme.md
  * fixed unit test
  * included install space in CMakeLists.txt
  * explicitly listing ros dependencies (not through catkin_package macro)
  * removed user interface node and deprecated keyboard dependency.
  * changed catkin pkg dependencies to roscpp
  * Added license to files and giving credit to contributors.
  * removed some unneccessary dependencies.
  * cleaned up package.xml and CMakeLists.txt files
  * cleaned up endeffector and joint representation
  * showed close connection of mono/bi/quad to hyq
  * added doxygen comments to header files
  * made xpp_vis robot independent. Added sample hopper executables
  * removed biped and quadruped joint identifier
  * moved includes into subfolder xpp_vis
  * added xpp_vis
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 25 Oct 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xpp-vis
Section: misc
Priority: extra
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-kdl-parser, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-rosunit, ros-kinetic-tf, ros-kinetic-visualization-msgs, ros-kinetic-xpp-msgs, ros-kinetic-xpp-states
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-kinetic-xpp-vis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-kdl-parser, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-visualization-msgs, ros-kinetic-xpp-msgs, ros-kinetic-xpp-states
Description: Visualization for the XPP Motion Framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xpp-vis//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
